;;;; gnu.scm - Display a GNU Head when a user says "I love GNU" -*- scheme -*-
;;;; Copyright (C) 2002  Neal H. Walfield  <neal@cs.uml.edu>
;;;;
;;;; This file is part of Deride
;;;;
;;;; Deride is free software; you can redistribute it and/or modify
;;;; it under the terms of the GNU General Public License as published by
;;;; the Free Software Foundation; either version 2, or (at your option)
;;;; any later version.
;;;; 
;;;; Deride is distributed in the hope that it will be useful,
;;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;;; GNU General Public License for more details.
;;;; 
;;;; You should have received a copy of the GNU General Public License
;;;; along with the Deride; see the file COPYING.  If not, write to
;;;; the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

(define-module (backend gnu))

(use-modules (comm hooks))
(use-modules (comm send))

(add-hook! comm-received-forum-message-hook
	   (lambda (sender forum say msg)
	     (if (string-ci=? "i love gnu." msg)
		 (begin
		   ;; Image taken:
		   ;; from http://www.gnu.org/graphics/gnu-ascii.html
		   (send-to-forum forum "  ,           , ")
		   (send-to-forum forum " /             \\ ")
		   (send-to-forum forum "((__-^^-,-^^-__)) ")
		   (send-to-forum forum " `-_---' `---_-' ")
		   (send-to-forum forum "  `--|o` 'o|--' ")
		   (send-to-forum forum "     \\  `  /      Me too.")
		   (send-to-forum forum "      ): :( ")
		   (send-to-forum forum "      :o_o: ")
		   (send-to-forum forum "       \"-\" ")
		   ())
		 '())))
