;; Extensions to the irc protocol as specified by RFC 2812.
;; Copyright (C) 2001  Neal H Walfield  <neal@cs.uml.edu>
;;
;; This file is part of Deride
;;
;; Deride is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation; either version 2, or (at your option)
;; any later version.
;; 
;; Deride is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;; 
;; You should have received a copy of the GNU General Public License
;; along with the Deride; see the file COPYING.  If not, write to
;; the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

(define-module (comm irc rfc-2812-extensions))


(define-public RPL_TOPICWHOTIME "333")

;;        333    RPL_TOPICWHOTIME
;;               "<nick> <channel> <user> :time"
;;
;;             - Sent by the server after joining a channel. <channel>
;;               is the inficated channel.  <user> is the user that
;;               set the current topic.  Time is a implementation
;;               dependent way to indicate when the topic was set.
;;               This is normally the number of seconds from the UNIX
;;               epoch.

(define-public RPL_LCONNECTIONCOUNT "250")

;;        250    RPL_LCONNECTIONCOUNT
;;               ":Highest connection count: <integer> (<integer> clients) \
;;               (<integer> since server was (re)started)"
;;
;;             - Connection count.

(define-public RPL_LLOCALUSERS "265")

;;        265    RPL_LLOCALUSERS
;;               ":Current local  users: <integer>  Max: <integr>"
;;
;;             - The current number of local users on the connected
;;               server and the maximum since the last restart.

(define-public RPL_LGLOBALUSERS "266")

;;        265    RPL_LGLOBALUSERS
;;               ":Current global users: <integer>  Max: <integr>"
;;
;;             - The current number of users on the network and the
;;               maximum since the last restart of the connected
;;               server.
